Loading...
Searching...
No Matches
mqtt::callback Class Reference

`#include <callback.h>`

Inheritance diagram for mqtt::callback:

## Public Types

using | ptr_t = std::shared_ptr<callback>
using | const_ptr_t = std::shared_ptr<const callback>

## Public Member Functions

virtual | ~callback ()
virtual void | connected (const string &)
virtual void | connection_lost (const string &)
virtual void | message_arrived (const_message_ptr)
virtual void | delivery_complete (delivery_token_ptr)

## Detailed Description

Provides a mechanism for tracking the completion of an asynchronous action.

## Member Typedef Documentation

## ptr_t

using mqtt::callback::ptr_t = std::shared_ptr<callback>

Smart/shared pointer to an object of this type

## const_ptr_t

using mqtt::callback::const_ptr_t = std::shared_ptr<const callback>

Smart/shared pointer to a const object of this type

## Constructor & Destructor Documentation

## ~callback()

virtual mqtt::callback::~callback | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

## connected()

virtual void mqtt::callback::connected | ( | const string & |  | ) |

inline virtual

This method is called when the client is connected. Note that, in response to an initial connect(), the token from the connect call is also signaled with an on_success(). That occurs just before this is called.

## connection_lost()

virtual void mqtt::callback::connection_lost | ( | const string & |  | ) |

inline virtual

This method is called when the connection to the server is lost.

## message_arrived()

virtual void mqtt::callback::message_arrived | ( | const_message_ptr |  | ) |

inline virtual

This method is called when a message arrives from the server.

## delivery_complete()

virtual void mqtt::callback::delivery_complete | ( | delivery_token_ptr |  | ) |

inline virtual

Called when delivery for a message has been completed, and all acknowledgments have been received.

The documentation for this class was generated from the following file:

- callback.h